local ADDON, Package = ...

local Module = {}

function Module.configure_to_stand_or_dismount()
  local f = function (self, error_type, message)
    if message == SPELL_FAILED_NOT_STANDING or message == ERR_CANTATTACK_NOTSTANDING or message == ERR_LOOT_NOTSTANDING then
      DoEmote("STAND")
    end

    if message == SPELL_FAILED_NOT_MOUNTED or message == ERR_ATTACK_MOUNTED or message == ERR_NOT_WHILE_MOUNTED or message == ERR_TAXIPLAYERALREADYMOUNTED then
      Dismount()
    end
  end

  local agent = CreateFrame("Frame")
  agent:RegisterEvent("UI_ERROR_MESSAGE")
  agent:SetScript("OnEvent", function (self, event, ...) f(self, ...) end)
end

Package.Action = Module
