local ADDON, Package = ...

local Module = {}

function Module.configure_aura_duration()
  hooksecurefunc("AuraButton_UpdateDuration", function (aura_button, time_left)
    if time_left >= 3600 and time_left <= 7200 then
      aura_button.duration:SetText(MINUTE_ONELETTER_ABBR:format(ceil(time_left / 60)))
    end
  end)
end

Package.Buff = Module
