local ADDON, Package = ...

local Module = {}

function Module.configure()
  if TimeAlertFrame and TimeAlertFrameText then
    TimeAlertFrame.glow:SetTexture(nil)
    TimeAlertFrame.CloseButton:Hide()
    TimeAlertFrame:ClearBackdrop()
    TimeAlertFrame:HookScript("OnUpdate", function (self)
      self:ClearAllPoints()
      self:SetPoint("BOTTOM", UIErrorsFrame, "TOP", 0, 20)
      self:SetSize(560, 20)
    end)

    TimeAlertFrameText:SetJustifyH("CENTER")
  end
end

Package.TimeAlert = Module
